Retrieves all the agreements questionnaires for the specified agreement type
curl --request GET \
--url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"status": "UNSPECIFIED",
"termsAgreementFormat": "anchorage",
"url": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Retrieves all the agreements questionnaires for the specified agreement type
Permissions required: Onboarding
Retrieves all the agreements questionnaires for the specified agreement type
GET
/
onboarding
/
agreements
/
{agreementType}
Retrieves all the agreements questionnaires for the specified agreement type
curl --request GET \
--url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"status": "UNSPECIFIED",
"termsAgreementFormat": "anchorage",
"url": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The unique identifier for the agreement type
Available options:
terms Query Parameters
Filter by status
Available options:
UNSPECIFIED, IN_PROGRESS, COMPLETE, DECLINED, VOIDED When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?